com.google.cloud.dataflow.sdk.transforms.windowing

## Class NonMergingWindowFn<T,W extends BoundedWindow>

- java.lang.Object
- - com.google.cloud.dataflow.sdk.transforms.windowing.WindowFn<T,W>
  - - com.google.cloud.dataflow.sdk.transforms.windowing.NonMergingWindowFn<T,W>

Type Parameters:
  `T` - type of elements being windowed
  `W` - `BoundedWindow` subclass used to represent the windows used by this `WindowFn`

All Implemented Interfaces:
  HasDisplayData, Serializable

Direct Known Subclasses:
  GlobalWindows, PartitioningWindowFn, SlidingWindows

    public abstract class NonMergingWindowFn<T,W extends BoundedWindow>
    extends WindowFn<T,W>

Abstract base class for `WindowFn`s that do not merge windows.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.google.cloud.dataflow.sdk.transforms.windowing.WindowFn

`WindowFn.AssignContext, WindowFn.MergeContext`

### Constructor Summary

Constructors
Constructor and Description
`NonMergingWindowFn()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isNonMerging()` Returns true if this `WindowFn` never needs to merge any windows.
`void` `mergeWindows(WindowFn.MergeContext c)` Does whatever merging of windows is necessary.

### Methods inherited from class com.google.cloud.dataflow.sdk.transforms.windowing.WindowFn

`assignsToSingleWindow, assignWindows, getOutputTime, getOutputTimeFn, getSideInputWindow, isCompatible, populateDisplayData, windowCoder`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NonMergingWindowFn

    public NonMergingWindowFn()

### Method Detail

#### mergeWindows

    public final void mergeWindows(WindowFn.MergeContext c)

Description copied from class: `WindowFn`
Does whatever merging of windows is necessary.

See `MergeOverlappingIntervalWindows.mergeWindows(com.google.cloud.dataflow.sdk.transforms.windowing.WindowFn<?, com.google.cloud.dataflow.sdk.transforms.windowing.IntervalWindow>.MergeContext)` for an example of how to override this method.

Specified by:
  `mergeWindows` in class `WindowFn<T,W extends BoundedWindow>`

#### isNonMerging

    public final boolean isNonMerging()

Description copied from class: `WindowFn`
Returns true if this `WindowFn` never needs to merge any windows.

Overrides:
  `isNonMerging` in class `WindowFn<T,W extends BoundedWindow>`